summaryrefslogtreecommitdiff
path: root/tests/rm/r-4
diff options
context:
space:
mode:
Diffstat (limited to 'tests/rm/r-4')
-rwxr-xr-xtests/rm/r-456
1 files changed, 56 insertions, 0 deletions
diff --git a/tests/rm/r-4 b/tests/rm/r-4
new file mode 100755
index 0000000..3551335
--- /dev/null
+++ b/tests/rm/r-4
@@ -0,0 +1,56 @@
+#!/bin/sh
+# Try to remove '.' and '..' recursively.
+
+# Copyright (C) 2006 Free Software Foundation, Inc.
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+# 02110-1301, USA.
+
+
+if test "$VERBOSE" = yes; then
+ rm --version
+ set -x
+fi
+
+pwd=`pwd`
+t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
+trap 'status=$?; cd "$pwd" && rm -rf $t0 && exit $status' 0
+trap '(exit $?); exit' 1 2 13 15
+
+framework_failure=0
+mkdir -p $tmp || framework_failure=1
+cd $tmp || framework_failure=1
+
+touch a || framework_failure=1
+cd "$pwd" || framework_failure=1
+
+if test $framework_failure = 1; then
+ echo 'failure in testing framework'
+ (exit 1); exit 1
+fi
+
+fail=0
+rm -fr $tmp/. 2>/dev/null && fail=1
+rm -fr $tmp/./ 2>/dev/null && fail=1
+rm -fr $tmp/.//// 2>/dev/null && fail=1
+rm -fr $tmp/.. 2>/dev/null && fail=1
+rm -fr $tmp/../ 2>/dev/null && fail=1
+
+# This test is too dangerous -- if there's a bug you're wiped out!
+# rm -fr / 2>/dev/null && fail=1
+
+test -f $tmp/a || fail=1
+
+(exit $fail); exit $fail